name: krow
description: "A new Flutter project."
publish_to: 'none'

version: 1.0.36+116

environment:
  sdk: ^3.8.0

dependencies:
  flutter:
    sdk: flutter


  cupertino_icons: ^1.0.8
  injectable: ^2.5.0
  get_it: ^8.0.3
  auto_route: ^10.0.1
  flutter_gen: ^5.10.0
  gap: ^3.0.1
  flutter_svg: ^2.0.17
  firebase_core: ^3.12.1
  firebase_auth: ^5.5.1
  flutter_bloc: ^9.1.0
  url_launcher: ^6.3.1
  image_picker: ^1.1.2
  calendar_date_picker2: ^2.0.0
  intl: ^0.20.2
  graphql_flutter: ^5.1.2
  graphql: ^5.1.3
  hive: ^2.2.3
  shared_preferences: ^2.5.2
  json_annotation: ^4.9.0
  cached_network_image: ^3.4.1
  freezed_annotation: ^3.0.0
  modal_progress_hud_nsn: ^0.5.1
  flutter_dotenv: ^5.2.1
  http: ^1.3.0
  http_parser: ^4.1.2
  rxdart: ^0.28.0
  path_provider: ^2.1.5
  qr_flutter: ^4.1.0
  expandable: ^5.0.1
  flutter_launcher_icons: ^0.14.3
  geolocator: ^13.0.3
  firebase_remote_config: ^5.4.3
  package_info_plus: ^8.3.0
  share_plus: ^11.0.0




dependency_overrides:
  connectivity_plus: ^6.1.3


dev_dependencies:
  flutter_test:
    sdk: flutter
  injectable_generator: ^2.7.0
  auto_route_generator: ^10.0.1
  build_runner: ^2.4.15
  flutter_gen_runner: ^5.10.0
  flutter_lints: ^5.0.0
  json_serializable: ^6.11.1
  freezed: ^3.0.4

flutter:
  uses-material-design: true
  assets:
    - .env
    - .env_dev
    - assets/fonts/
    - assets/images/
    - assets/images/icons/check_box/
    - assets/images/icons/tags/
    - assets/images/icons/app_bar/
    - assets/images/icons/navigation/
    - assets/images/icons/user_profile/
    - assets/images/icons/rating_star/
    - assets/images/icons/

  fonts:
    - family: Poppins
      fonts:
        - asset: assets/fonts/poppins/Poppins-Regular.ttf
        - asset: assets/fonts/poppins/Poppins-Medium.ttf
        - asset: assets/fonts/poppins/Poppins-Bold.ttf
        - asset: assets/fonts/poppins/Poppins-SemiBold.ttf
        - asset: assets/fonts/poppins/Poppins-Light.ttf
        - asset: assets/fonts/poppins/Poppins-ExtraLight.ttf
        - asset: assets/fonts/poppins/Poppins-ExtraBold.ttf
        - asset: assets/fonts/poppins/Poppins-Thin.ttf
        - asset: assets/fonts/poppins/Poppins-Black.ttf
        - asset: assets/fonts/poppins/Poppins-Italic.ttf
        - asset: assets/fonts/poppins/Poppins-LightItalic.ttf
        - asset: assets/fonts/poppins/Poppins-MediumItalic.ttf
        - asset: assets/fonts/poppins/Poppins-BoldItalic.ttf
        - asset: assets/fonts/poppins/Poppins-SemiBoldItalic.ttf
        - asset: assets/fonts/poppins/Poppins-ExtraLightItalic.ttf
        - asset: assets/fonts/poppins/Poppins-ExtraBoldItalic.ttf
        - asset: assets/fonts/poppins/Poppins-ThinItalic.ttf
        - asset: assets/fonts/poppins/Poppins-BlackItalic.ttf

flutter_gen:
  output: lib/core/presentation/gen/
  integrations:
    flutter_svg: true

flutter_launcher_icons:
  android: "ic_launcher"
  ios: true
  image_path: "assets/favicon.png"
  image_path_ios: "assets/favicon.png"
  min_sdk_android: 21
  remove_alpha_ios: true